wipe  
  
setMaxOpenFiles 2048;	        		# Max number of recorders  
set Ubig 1.e10; 			   	 		# a really large number  
set Usmall [expr 1.0/$Ubig]; 			# a really small number  
set g         9.81;   
set pi   3.1415927;   
  
# Create ModelBuilder (with three-dimensions (-ndm) and 6 DOF/node (-ndf))  
model basic -ndm 3 -ndf 6  
  

#Material properties 
set Emasonry  3.462e09
set Gmasonry  1.524e09
set fcmasonry  1.300e06
set mumasonry  0.25 
set muR 0.20
set cmasonry  0.233e06 
 
 
#Floor properties 
set Ef1 10e9 
set Ef2 1e9
set Gf  10e6
set t_f 0.02


#Limit drifts  
set driftF  1
set driftS  1
 
 
#Aggregate interface properties------------------------------------------------------------------------------------------------------------------------------------- 
set E_interface 3e9
set ft_interface 2e3
set GfI_interface 100.0 
set G_interface 1e9
set mu_interface 0.4
set c_interface 2e3
set GfII_interface 100 

uniaxialMaterial TensionDamage1d  1  $E_interface  $ft_interface  $GfI_interface 
nDMaterial CohesionFriction3d  10   $G_interface  $mu_interface  $c_interface  $GfII_interface -axialMaterial 1 

   
#Define wall interface properties------------------------------------------------------------------------------------------------------------------------------------------ 
#Unit 1 
uniaxialMaterial TensionDamage1d  11  3e9 15e3 50
#Unit 2 floor 1 
uniaxialMaterial TensionDamage1d  21  3e9 15e3 50
#Unit 2 floor 2 
uniaxialMaterial TensionDamage1d  22  3e9 15e3 50
  
  
# Floor to wall interface properties
set floorfriction  0.6
set E_beamslip 30e9 
set G_beamslip 50e6

#nDMaterial BeamFrictionSupport  $matTag $E		 $G 	$mu 	<-anchoring $dx> <-gap $gapY $gapZ> 
nDMaterial BeamFrictionSupport  31 	$E_beamslip  $G_beamslip 	 $floorfriction   	 -gap 0.0000 0.0000 
nDMaterial BeamFrictionSupport  32 	$E_beamslip  $G_beamslip  	 $floorfriction      -gap 0.0000 0.0000 
  
  
  
# Definition of the geometry  
# Create nodes  
#       tag     X         Y         Z    
node      1     0.000     0.000     0.000   
node      2     2.500     0.000     0.000   
node      3     0.000     0.000     2.200   
node      4     2.500     0.000     2.200   
node      5     0.000     2.450     0.000   
node      6     0.000     2.450     2.200   
node      7     2.500     2.450     0.000   
node      8     2.500     2.450     2.200   
node      9     2.500     2.450     0.000   
node     10     2.500     3.450     0.000   
node     11     2.500     4.950     0.000   
node     12     2.500     2.450     1.650   
node     13     2.500     3.450     1.650   
node     14     2.500     4.950     1.650   
node     15     2.500     2.450     2.200   
node     16     2.500     2.450     3.150   
node     17     2.500     3.450     3.150   
node     18     2.500     4.950     3.150   
node     19     1.500     4.950     0.000   
node     20     1.500     4.950     1.650   
node     21     1.500     4.950     3.150   
node     22     0.000     4.950     0.000   
node     23     0.000     4.950     1.650   
node     24     0.000     4.950     3.150   
node     25     0.000     3.950     0.000   
node     26     0.000     3.950     1.650   
node     27     0.000     3.950     3.150   
node     28     0.000     2.450     0.000   
node     29     0.000     2.450     1.650   
node     30     0.000     2.450     2.200   
node     31     0.000     2.450     3.150   
node     32     2.500     2.450     0.900   
node     33     0.000     2.450     0.900   
node     34     2.500     2.450     0.900   
node     35     0.000     2.450     0.900   
node     36     0.000     0.000     0.000   
node     37     2.500     0.000     0.000   
node     38     0.000     0.000     2.200   
node     39     2.500     0.000     2.200   
node     40     2.500     2.450     0.000   
node     41     2.500     4.950     0.000   
node     42     2.500     2.450     1.650   
node     43     2.500     4.950     1.650   
node     44     2.500     2.450     2.200   
node     45     2.500     2.450     3.150   
node     46     2.500     4.950     3.150   
node     47     0.000     4.950     0.000   
node     48     0.000     4.950     1.650   
node     49     0.000     4.950     3.150   
node     50     0.000     2.450     0.000   
node     51     0.000     2.450     1.650   
node     52     0.000     2.450     2.200   
node     53     0.000     2.450     3.150   
node     54     2.500     2.450     0.900   
node     55     0.000     2.450     0.900   
node     56     0.325     0.000     0.700   
node     57     2.175     0.000     0.700   
node     58     1.250     0.000     1.800   
node     59     0.000     0.487     0.950   
node     60     0.000     1.962     0.700   
node     61     0.000     1.225     0.250   
node     62     0.000     1.225     1.800   
node     63     2.500     0.487     0.950   
node     64     2.500     1.962     0.700   
node     65     2.500     1.225     0.250   
node     66     2.500     1.225     1.800   
node     67     0.000     4.700     0.625   
node     68     0.000     4.700     2.400   
node     69     0.000     3.700     0.875   
node     70     0.000     3.700     2.400   
node     71     0.000     2.700     0.700   
node     72     0.000     2.700     2.125   
node     73     0.000     2.700     2.475   
node     74     0.000     3.200     0.250   
node     75     0.000     4.200     1.650   
node     76     0.000     4.200     2.950   
node     77     0.000     3.200     1.650   
node     78     0.000     3.200     2.950   
node     79     2.500     2.700     0.700   
node     80     2.500     2.700     2.125   
node     81     2.500     2.700     2.475   
node     82     2.500     3.700     0.875   
node     83     2.500     3.700     2.400   
node     84     2.500     4.700     0.625   
node     85     2.500     4.700     2.400   
node     86     2.500     3.200     1.650   
node     87     2.500     3.200     2.950   
node     88     2.500     3.200     0.250   
node     89     2.500     4.200     1.650   
node     90     2.500     4.200     2.950   
node     91     2.250     4.950     0.875   
node     92     2.250     4.950     2.400   
node     93     1.250     4.950     0.875   
node     94     1.250     4.950     2.400   
node     95     0.250     4.950     0.875   
node     96     0.250     4.950     2.400   
node     97     1.750     4.950     0.250   
node     98     1.750     4.950     1.650   
node     99     1.750     4.950     2.950   
node    100     0.750     4.950     0.250   
node    101     0.750     4.950     1.650   
node    102     0.750     4.950     2.950   
node    103     1.250     2.450     0.450   
node    104     1.250     2.450     1.925   
node    105     1.250     2.450     2.675   
node    106     2.500     1.962     1.150   
node    107     0.000     1.962     1.150   
node    108     2.500     2.700     1.075   
node    109     0.000     2.700     1.075   
node    110     1.250     2.450     1.275 

  
node    111     0.000     2.450     1.650   
node    112     2.500     2.450     1.650   
node    113     2.500     4.950     1.650   
node    114     0.000     4.950     1.650   

node    115     0.000     2.450     3.150   
node    116     2.500     2.450     3.150   
node    117     2.500     4.950     3.150   
node    118     0.000     4.950     3.150   

node    119     0.000     0.000     2.200   
node    120     2.500     0.000     2.200   
node    121     2.500     2.450     2.200   
node    122     0.000     2.450     2.200   
 
#node 	123		2.500     3.450     1.650 
#node	124		0.000     3.950     1.650  
node	125		1.500     4.950     1.650 
node	126		1.250	  2.450		1.650 
#node	127		1.250	  3.700		1.650 
 
#node    128		2.500     3.450     3.150 
#node    129     0.000     3.950     3.150  
node    130     1.500     4.950     3.150 
node    131     1.250	  2.450		3.150 
#node    132     1.250	  3.700		3.150 
 
 
#END NODES ------------------------------------------------------------   
puts "Nodes defined."   
  
  
geomTransf PDelta      1  0.000 -1.000  0.000  
geomTransf PDelta      2 -1.000 -0.000  0.000  
geomTransf PDelta      3  1.000 -0.000  0.000  
geomTransf PDelta      4  0.000  1.000 -0.000  
geomTransf PDelta      5  0.000 -1.000  0.000  
  
#MACROELEMENTS ---------------------------------------------------------   
#element Macroelement3d		 $eTag	 $nI 	$nJ		   $nE $	aX $aY $aZ 			  $oopX $oopY $oopZ  -pier    $h      $L      $t      $E       $G       $fc        $mu         $c           $Gc $dropDrift $muR	 		 $driftF    			 $driftS 
element Macroelement3d         3       3        4       58    1.000  0.000  0.000    0.000 -1.000  0.000  -spandrel  1.200  0.800  0.300 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d         4      36       38       59    0.000 -0.000  1.000   -1.000 -0.000  0.000  -pier   	 0.900  0.975  0.300 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d         2       2        4       57    0.000  0.000  1.000    0.000 -1.000  0.000  -pier  	 1.400  0.650  0.300 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta            
element Macroelement3d         5       5       33       60    0.000 -0.000  1.000   -1.000 -0.000  0.000  -pier   	 0.400  0.975  0.300 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d         6       5       36       61    0.000 -1.000  0.000   -1.000 -0.000  0.000  -spandrel  0.500  0.500  0.150 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d         1       1        3       56    0.000  0.000  1.000    0.000 -1.000  0.000  -pier  	 1.400  0.650  0.300 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta             
element Macroelement3d         7       6       38       62    0.000 -1.000  0.000   -1.000 -0.000  0.000  -spandrel  0.500  0.800  0.300 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d         8      37       39       63    0.000  0.000  1.000    1.000 -0.000  0.000  -pier   	 0.900  0.975  0.300 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d         9       7       32       64    0.000  0.000  1.000    1.000 -0.000  0.000  -pier   	 0.400  0.975  0.300 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        10      37        7       65    0.000  1.000  0.000    1.000 -0.000  0.000  -spandrel  0.500  0.500  0.150 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        11      39        8       66    0.000  1.000  0.000    1.000 -0.000  0.000  -spandrel  0.500  0.800  0.300 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        12      47       48       67    0.000 -0.000  1.000   -1.000 -0.000  0.000  -pier   	 1.250  0.500  0.350 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        13      48       49       68    0.000 -0.000  1.000   -1.000 -0.000  0.000  -pier   	 0.700  0.500  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        14      25       26       69    0.000 -0.000  1.000   -1.000 -0.000  0.000  -pier  	 0.750  0.500  0.350 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        15      26       27       70    0.000 -0.000  1.000   -1.000 -0.000  0.000  -pier  	 0.700  0.500  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        16      28       35       71    0.000 -0.000  1.000   -1.000 -0.000  0.000  -pier   	 0.400  0.500  0.350 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta   
element Macroelement3d        17      29       30       72    0.000 -0.000  1.000   -1.000 -0.000  0.000  -pier   	 0.150  0.500  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta    
element Macroelement3d        18      30       31       73    0.000 -0.000  1.000   -1.000 -0.000  0.000  -pier   	 0.550  0.500  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta                      
element Macroelement3d        19      25       28       74    0.000 -1.000  0.000   -1.000 -0.000  0.000  -spandrel  0.500  0.500  0.150 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        20      48       26       75    0.000 -1.000  0.000   -1.000 -0.000  0.000  -spandrel  0.500  0.800  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        21      49       27       76    0.000 -1.000  0.000   -1.000 -0.000  0.000  -spandrel  0.500  0.400  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        22      26       29       77    0.000 -1.000  0.000   -1.000 -0.000  0.000  -spandrel  0.500  0.800  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        23      27       31       78    0.000 -1.000  0.000   -1.000 -0.000  0.000  -spandrel  0.500  0.400  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        24       9       34       79    0.000  0.000  1.000    1.000 -0.000  0.000  -pier   	 0.400  0.500  0.350 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta    
element Macroelement3d        25      12       15       80    0.000  0.000  1.000    1.000 -0.000  0.000  -pier   	 0.150  0.500  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta                   
element Macroelement3d        26      15       16       81    0.000  0.000  1.000    1.000 -0.000  0.000  -pier   	 0.550  0.500  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta                    
element Macroelement3d        27      10       13       82    0.000  0.000  1.000    1.000 -0.000  0.000  -pier  	 0.750  0.500  0.350 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        28      13       17       83    0.000  0.000  1.000    1.000 -0.000  0.000  -pier   	 0.700  0.500  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        29      11       14       84    0.000  0.000  1.000    1.000 -0.000  0.000  -pier    	 1.250  0.500  0.350 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        30      14       18       85    0.000  0.000  1.000    1.000 -0.000  0.000  -pier   	 0.750  0.500  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta    
element Macroelement3d        31      12       13       86    0.000  1.000  0.000    1.000 -0.000  0.000  -spandrel  0.500  0.800  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        32      16       17       87    0.000  1.000  0.000    1.000 -0.000  0.000  -spandrel  0.500  0.400  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        33       9       10       88    0.000  1.000  0.000    1.000 -0.000  0.000  -spandrel  0.500  0.500  0.150 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        34      13       14       89    0.000  1.000  0.000    1.000 -0.000  0.000  -spandrel  0.500  0.800  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        35      17       18       90    0.000  1.000  0.000    1.000 -0.000  0.000  -spandrel  0.500  0.400  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        36      41       43       91   -0.000  0.000  1.000    0.000  1.000 -0.000  -pier   	 0.750  0.500  0.350 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        37      43       46       92   -0.000  0.000  1.000    0.000  1.000 -0.000  -pier   	 0.700  0.500  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta   
element Macroelement3d        38      19       20       93   -0.000  0.000  1.000    0.000  1.000 -0.000  -pier   	 0.750  0.500  0.350 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        39      20       21       94   -0.000  0.000  1.000    0.000  1.000 -0.000  -pier   	 0.700  0.500  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        40      22       23       95   -0.000  0.000  1.000    0.000  1.000 -0.000  -pier   	 0.750  0.500  0.350 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        41      23       24       96   -0.000  0.000  1.000    0.000  1.000 -0.000  -pier   	 0.700  0.500  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        42      41       19       97   -1.000  0.000  0.000    0.000  1.000 -0.000  -spandrel  0.500  0.500  0.150 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        43      43       20       98   -1.000  0.000  0.000    0.000  1.000 -0.000  -spandrel  0.500  0.800  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        44      46       21       99   -1.000  0.000  0.000    0.000  1.000 -0.000  -spandrel  0.500  0.400  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        45      19       22      100   -1.000  0.000  0.000    0.000  1.000 -0.000  -spandrel  0.500  0.500  0.150 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        46      20       23      101   -1.000  0.000  0.000    0.000  1.000 -0.000  -spandrel  0.500  0.800  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        47      21       24      102   -1.000  0.000  0.000    0.000  1.000 -0.000  -spandrel  0.500  0.400  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        48      50       55      103    0.000  0.000  1.000    0.000 -1.000  0.000  -pier   	 0.900  2.500  0.350 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        49      51       52      104    0.000  0.000  1.000    0.000 -1.000  0.000  -pier   	 0.550  2.500  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta   
element Macroelement3d        50      52       53      105    0.000  0.000  1.000    0.000 -1.000  0.000  -pier   	 0.950  2.500  0.250 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta       
element Macroelement3d        71      32        8      106    0.000  0.000  1.000    1.000 -0.000  0.000  -pier   	 0.500  0.975  0.300 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        72      33        6      107    0.000 -0.000  1.000   -1.000 -0.000  0.000  -pier   	 0.500  0.975  0.300 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
element Macroelement3d        73      34       12      108    0.000  0.000  1.000    1.000 -0.000  0.000  -pier   	 0.350  0.500  0.350 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry  	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta     
element Macroelement3d        74      35       29      109    0.000 -0.000  1.000   -1.000 -0.000  0.000  -pier   	 0.350  0.500  0.350 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta     
element Macroelement3d        75      55       51      110    0.000  0.000  1.000    0.000 -1.000  0.000  -pier   	 0.750  2.500  0.350 $Emasonry $Gmasonry $fcmasonry $mumasonry $cmasonry 	3.600 0.004 $muR  -driftFlexure $driftF 1.0 -driftShear $driftS 0.00  -pDelta          
#END Macrolements------------------------------------------------------------                                                                                                                                    
  

#Aggregate interface  
element zeroLengthND    91    6  30   10   -orient 0. 1. 0.   -1.  0.  0.  		 
element zeroLengthND    92    8  15   10   -orient 0. 1. 0.    1.  0.  0.  	 
 
element zeroLengthND    93    33  35   10   -orient 0. 1. 0.   -1.  0.  0.  		 
element zeroLengthND    94    32  34   10   -orient 0. 1. 0.    1.  0.  0.   
  
  
  
#SHELLS  ---------------------------------------------------------   
#Note: In option 2E , orientation has been made correct from the node selection, thus no need to invert E1 & E2!  
#element ShellMITC4 $eleTag $iNode $jNode $kNode $lNode $secTag   

#Unit 2 1st storey
section OrthotropicMembraneSection   80     $Ef1    $Ef2      0.06       $Gf      $t_f        0.0    
element ShellMITC4        80     112      113     125	   126      80   
section OrthotropicMembraneSection   81     $Ef1    $Ef2      0.06       $Gf      $t_f        0.0    
element ShellMITC4        81     126      125     114	   111      81    
 
#Unit 2 2nd storey
section OrthotropicMembraneSection   84     $Ef1    $Ef2      0.06       $Gf      $t_f        0.0    
element ShellMITC4        84     116      117     130 	   131      84   
section OrthotropicMembraneSection   85     $Ef1    $Ef2      0.06       $Gf      $t_f        0.0    
element ShellMITC4        85     131      130     118 	   115      85 

#Unit 1
section OrthotropicMembraneSection   88     $Ef1    $Ef2      0.06       $Gf      $t_f        0.0    
element ShellMITC4        88    119      120      121     122      88   
#END Shells ------------------------------------------------------------   
  
#CONSTRAINTS ---------------------------------------------------------   
fix       1    1   1   1   1   1   1   
fix		  2	   1   1   1   1   1   1   
fix       5    1   1   1   1   1   1  
fix       7    1   1   1   1   1   1  
fix       9    1   1   1   1   1   1   
fix      10    1   1   1   1   1   1   
fix      11    1   1   1   1   1   1   
fix      19    1   1   1   1   1   1   
fix      22    1   1   1   1   1   1   
fix      25    1   1   1   1   1   1   
fix      28    1   1   1   1   1   1   
fix      36    1   1   1   1   1   1   
fix      37    1   1   1   1   1   1   
fix      40    1   1   1   1   1   1   
fix      41    1   1   1   1   1   1   
fix      47    1   1   1   1   1   1   
fix      50    1   1   1   1   1   1   
 
 
fix 	126	   0   0   1   0   0   1
fix 	131	   0   0   1   0   0   1 
 
#END Constraints------------------------------------------------------------   
  
#WALL TO WALL CONNECTIONS ---------------------------------------------------------   
# Flange effect included 
#Unit 1 
equalDOF      3    38    3  
equalDOF      4    39    3      
 
#Unit 2 floor 1 
equalDOF     12    42    3     
equalDOF     14    43    3      
equalDOF     23    48    3   
equalDOF     29    51    3    
 
#Unit 2 floor 2 
equalDOF     16    45    3     
equalDOF     18    46    3   
equalDOF     24    49    3     
equalDOF     31    53    3      
 
 
#Additional	lower interface 
equalDOF     34    54     3     
equalDOF     35    55     3    
  
#Additional upper interface 
equalDOF     15    44     3    
equalDOF     30    52     3   
 
 
 
#Unit 1   
element zeroLength 95  3 38 -mat 11 11 -dir 1 2 -orient -1 0 0  0 1 0 
element zeroLength 96  4 39 -mat 11 11 -dir 1 2 -orient  1 0 0  0 1 0 
#Unit 2 floor 1 
element zeroLength 97  42 12 -mat 21 21 -dir 1 2 -orient 1 0 0  0 1 0 
element zeroLength 100 51 29 -mat 21 21 -dir 1 2 -orient -1 0 0  0 1 0 
element zeroLength 98  43 14 -mat 21 21 -dir 1 2 -orient 1 0 0  0 -1 0 
element zeroLength 99  23 48 -mat 21 21 -dir 1 2 -orient -1 0 0  0 -1 0 
 
#Unit 2 floor 2 
element zeroLength 101 45 16 -mat 22 22 -dir 1 2 -orient 1 0 0  0 1 0 
element zeroLength 104 53 31 -mat 22 22 -dir 1 2 -orient -1 0 0  0 1 0 
element zeroLength 102 18 46 -mat 22 22 -dir 1 2 -orient 1 0 0  0 1 0 
element zeroLength 103 49 24 -mat 22 22 -dir 1 2 -orient -1 0 0  0 1 0 
 
 
#Additional lower interface 
element zeroLength 130   54 34 -mat 21 21 -dir 1 2 -orient 1 0 0  0 1 0 
element zeroLength 131   55 35 -mat 21 21 -dir 1 2 -orient -1 0 0  0 1 0 
#Additional upper interface 
element zeroLength 132   44 15 -mat 22 22 -dir 1 2 -orient 1 0 0  0 1 0 
element zeroLength 133   52 30 -mat 22 22 -dir 1 2 -orient -1 0 0  0 1 0 
  
  
#FLOOR TO WALL CONNECTIONS ---------------------------------------------------------   

equalDOF      38   119  4 5 6
equalDOF      39   120  4 5 6
equalDOF      8    121  4 5 6
equalDOF      6    122  4 5 6
 
equalDOF      51    111  4 5 6
equalDOF      42    112  4 5 6
equalDOF      43    113  4 5 6
equalDOF      23    114  4 5 6
#equalDOF     26    124  4 5 6
#equalDOF     13    123  4 5 6
equalDOF      20    125  4 5 6
 
equalDOF      53    115  4 5   6
equalDOF      45    116  4 5   6
equalDOF      46    117  4 5   6
equalDOF      24    118  4 5   6
#equalDOF     17    128  4 5   6
# equalDOF     27    129  4 5  6
equalDOF      21    130  4 5   6
 
 
 #Unit 1  
 element zeroLengthND 105    38 119   32   -orient 0 0 1   1 0 0   
 element zeroLengthND 106    39 120   32   -orient 0 0 1  -1 0 0   
 element zeroLengthND 107    6 122    32   -orient 0 0 1   1 0 0   
 element zeroLengthND 108    8 121    32   -orient 0 0 1  -1 0 0   
  
  
 #Unit 2 floor 1                     
 element zeroLengthND 109     51 111   31   -orient 0 0 1  0  1 0  
 element zeroLengthND 110     42 112   31   -orient 0 0 1  0  1 0  
 element zeroLengthND 111     23 114   31   -orient 0 0 1  0 -1 0  
 element zeroLengthND 112     43 113   31   -orient 0 0 1  0 -1 0  
 element zeroLengthND 119     20 125   31   -orient 0 0 1  0 -1 0  
  
  
 #Unit 2 floor 2                             
 element zeroLengthND 113     53 115   31   -orient 0 0 1  0  1 0  
 element zeroLengthND 114     45 116   31   -orient 0 0 1  0  1 0  
 element zeroLengthND 115     24 118   31   -orient 0 0 1  0 -1 0  
 element zeroLengthND 116     46 117   31   -orient 0 0 1  0 -1 0  
 element zeroLengthND 122     21 130   31   -orient 0 0 1  0 -1 0 
 
 
 
#END Connections ------------------------------------------------------   
  
#RIGID LINKS ----------------------------------------------------------   
# ----------------  
geomTransf Linear      6  0.000 -1.000  0.000 -jntOffset  0.000  0.000  0.000  0.000  0.000  0.000    
element elasticBeamColumn     201     42     51 1.000e+01 3.000e+13 9.000e+12 5.000e+00 5.000e+00 5.000e+00       6  
 
geomTransf Linear      7  0.000 -1.000  0.000 -jntOffset  0.000  0.000  0.000  0.000  0.000  0.000    
element elasticBeamColumn     203     44     52 1.000e+01 3.000e+13 9.000e+12 5.000e+00 5.000e+00 5.000e+00       7  
 
geomTransf Linear      8  0.000 -1.000  0.000 -jntOffset  0.000  0.000  0.000  0.000  0.000  0.000    
element elasticBeamColumn     204     45     53 1.000e+01 3.000e+13 9.000e+12 5.000e+00 5.000e+00 5.000e+00       8  
 
geomTransf Linear      9  0.000 -1.000  0.000 -jntOffset  0.000  0.000  0.000  0.000  0.000  0.000    
element elasticBeamColumn     206     54     55 1.000e+01 3.000e+13 9.000e+12 5.000e+00 5.000e+00 5.000e+00       9  
 

 
#END Elastic beams----------------------------------------------------   
  
#NONLINEAR BEAMS ----------------------------------------------------------   
#END Nonlinear beams----------------------------------------------------   
  
#NODAL MASSES ------------------------------------------------------------   
  
  

mass      1     273.0     273.0     273.0       0.0       0.0       0.0 
mass      2     273.0     273.0     273.0       0.0       0.0       0.0 
mass      3     933.0     933.0     933.0     140.0     172.9      33.0 
mass      4     933.0     933.0     933.0     140.0     172.9      33.0 
mass      5     484.5     484.5     484.5      87.8      18.3      69.5 
#mass      6     794.3     794.3     794.3     276.1     164.9     111.2 
mass      7     484.5     484.5     484.5      87.8      18.3      69.5 
#mass      8     794.3     794.3     794.3     276.1     164.9     111.2 
mass      9     332.5     332.5     332.5      21.9      10.9      10.9 
mass     10     393.8     393.8     393.8      21.9      10.9      10.9 
mass     11     218.8     218.8     218.8       0.0       0.0       0.0 
mass     12     502.5     502.5     502.5     112.7       0.0     112.7 
mass     13     698.8     698.8     698.8      15.0       0.0      15.0 
mass     14     735.0     735.0     735.0     112.7       0.0     112.7 
mass     15      87.5      87.5      87.5       0.0       0.0       0.0 
mass     16     281.3     281.3     281.3     107.9       4.0     103.9 
mass     17     287.5     287.5     287.5      10.2       4.0       6.3 
mass     18     306.3     306.3     306.3     107.9       4.0     103.9 
mass     19     481.3     481.3     481.3      10.9      21.9      10.9 
#mass     20     698.8     698.8     698.8       0.0      15.0      15.0 
#mass     21     287.5     287.5     287.5       4.0      10.2       6.3 
mass     22     393.8     393.8     393.8      10.9      21.9      10.9 
#mass     23     641.3     641.3     641.3       0.0     112.7     112.7 
#mass     24     300.0     300.0     300.0       4.0     107.9     103.9 
mass     25     393.8     393.8     393.8      21.9      10.9      10.9 
mass     26     698.8     698.8     698.8      15.0       0.0      15.0 
mass     27     287.5     287.5     287.5      10.2       4.0       6.3 
mass     28     332.5     332.5     332.5      21.9      10.9      10.9 
mass     29     502.5     502.5     502.5     112.7       0.0     112.7 
mass     30      87.5      87.5      87.5       0.0       0.0       0.0 
mass     31     281.3     281.3     281.3     107.9       4.0     103.9 
mass     32     263.3     263.3     263.3       0.0       0.0       0.0 
mass     33     263.3     263.3     263.3       0.0       0.0       0.0 
mass     34     131.2     131.2     131.2       0.0       0.0       0.0 
mass     35     131.2     131.2     131.2       0.0       0.0       0.0 
mass     36     630.8     630.8     630.8      87.8      18.3      69.5 
mass     37     630.8     630.8     630.8      87.8      18.3      69.5 
#mass     38     851.3     851.3     851.3     186.1      74.9     111.2 
#mass     39     851.3     851.3     851.3     186.1      74.9     111.2 
mass     41     393.8     393.8     393.8      10.9      21.9      10.9 
#mass     43     578.8     578.8     578.8       0.0      15.0      15.0 
#mass     46     237.5     237.5     237.5       4.0      10.2       6.3 
mass     47     218.8     218.8     218.8       0.0       0.0       0.0 
mass     48     666.3     666.3     666.3      15.0       0.0      15.0 
mass     49     237.5     237.5     237.5      10.2       4.0       6.3 
mass     50     787.5     787.5     787.5       0.0       0.0       0.0 
#mass     51    1000.0    1000.0    1000.0       0.0       0.0       0.0 
mass     52     937.5     937.5     937.5       0.0       0.0       0.0 
#mass     53     593.8     593.8     593.8       0.0       0.0       0.0 
mass     55    1443.8    1443.8    1443.8       0.0       0.0       0.0

mass     38     901.3     901.3     901.3     186.1      74.9     111.2
mass     39     901.3     901.3     901.3     186.1      74.9     111.2
mass      8     844.3     844.3     844.3     276.1     164.9     111.2 
mass      6     844.3     844.3     844.3     276.1     164.9     111.2 

mass     51    1425.0    1425.0    1425.0       0.0       0.0       0.0 
mass     42     425.0     425.0     425.0       0.0       0.0       0.0 
mass     20    1123.8    1123.8    1123.8       0.0      15.0      15.0 
mass     43     791.3     791.3     791.3       0.0      15.0      15.0 
mass     23     853.8     853.8     853.8        0.0     112.7     112.7 

mass     53    1018.8    1018.8    1018.8        0.0       0.0       0.0 
mass     45     425.0     425.0     425.0        0.0       0.0       0.0  
mass     21     712.5     712.5     712.5        4.0      10.2       6.3 
mass     46     450.0     450.0     450.0        4.0      10.2       6.3 
mass     24     512.5     512.5     512.5        4.0     107.9     103.9 

#END MASSES ------------------------------------------------------------   
puts "Model defined."   